Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mri.v3ds
Class SplineKey3ds

    java.lang.Object
      mri.v3ds.SplineKey3ds

Direct Known Subclasses:
  MorphKey3ds, PKey3ds, RotationKey3ds, XYZKey3ds

    public class SplineKey3ds

extends java.lang.Object

Base class for Kochanek-Bartels spline track keys containing Frame, TBC and Ease parameters. These parameters are used in all 3D Studio keyframer tracks (except the `HideTrack3ds`).
When Tension = Bias = Continuity = 0.0 then this is Catmul-Rom
When Tension = 1.0 and Bias = Continuity = 0.0 then this is Simple Cubic
When Tension = Bias = 0.0 and Continuity = -1.0 then this is Linear interpolation

Field Summary
`float` | `Bias` Spline Bias parameter 1.0 (post shoot) to -1.0 (pre shoot).
`float` | `Continuity` Spline Continuity parameter 1.0 (inverted corners) to -1.0 (box corners).
`float` | `EaseFrom` Spline ease-from parameter 0.0 to 1.0 (speed, leaving key).
`float` | `EaseTo` Spline ease-to parameter 0.0 to 1.0 (speed, coming to key).
`int` | `Frame` Frame number.
`float` | `Tension` Spline Tension parameter 1.0 (tight) to -1.0 (round).

Constructor Summary
`SplineKey3ds()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Frame

    public int Frame

  Frame number.

### Tension

    public float Tension

  Spline Tension parameter 1.0 (tight) to -1.0 (round).

### Bias

    public float Bias

  Spline Bias parameter 1.0 (post shoot) to -1.0 (pre shoot).

### Continuity

    public float Continuity

  Spline Continuity parameter 1.0 (inverted corners) to -1.0 (box corners).

### EaseTo

    public float EaseTo

  Spline ease-to parameter 0.0 to 1.0 (speed, coming to key).

### EaseFrom

    public float EaseFrom

  Spline ease-from parameter 0.0 to 1.0 (speed, leaving key).

Constructor Detail

### SplineKey3ds

    public SplineKey3ds()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD